%define upstream_name    Perl-Tidy
%define upstream_version 20170521

%{?perl_default_filter}

Name:       perltidy
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Script which indents and reformats Perl script
License:    GPL
Group:      Development/Tools
Url:        http://perltidy.sourceforge.net
Source0:    http://prdownloads.sourceforge.net/perltidy/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Perltidy is a Perl script which indents and reformats Perl scripts to
make them easier to read. If you write Perl scripts, or spend much time
reading them, you will probably find it useful.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%make_build test

%files
%doc BUGS CHANGES COPYING INSTALL META.yml MYMETA.yml README TODO examples
%_bindir/*
%_mandir/*/*
%{perl_vendorlib}/Perl


%changelog
* Mon Jun 12 2017 shlomif <shlomif> 20170521.0.0-1.mga6
+ Revision: 1107577
- New version with fix for MGA#21079 / CVE-2016-10374 .

* Sun Jun 19 2016 pterjan <pterjan> 20160302.0.0-2.mga6
+ Revision: 1035194
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 20160302.0.0-1.mga6
+ Revision: 989839
- update to 20160302

* Sat Jan 16 2016 shlomif <shlomif> 20150815.0.0-1.mga6
+ Revision: 923909
- update to 20150815

* Sun Jul 19 2015 shlomif <shlomif> 20140711.0.0-1.mga6
+ Revision: 855293
- New version 20140711

* Wed Oct 15 2014 umeabot <umeabot> 20140328.0.0-3.mga5
+ Revision: 745453
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20140328.0.0-2.mga5
+ Revision: 687070
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 jquelin <jquelin> 20140328.0.0-1.mga5
+ Revision: 616312
- update to 20140328

* Tue Mar 25 2014 jquelin <jquelin> 20130922.0.0-2.mga5
+ Revision: 608264
- fix CVE-2014-2277 (mga#13081)

* Mon Feb 10 2014 jquelin <jquelin> 20130922.0.0-1.mga5
+ Revision: 588627
- update to 20130922

* Fri Oct 18 2013 umeabot <umeabot> 20121207.0.0-3.mga4
+ Revision: 516458
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 20121207.0.0-2.mga3
+ Revision: 375626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 20121207.0.0-1.mga3
+ Revision: 342533
- update to 20121207

* Sun Oct 28 2012 malo <malo> 20120714.0.0-2.mga3
+ Revision: 310914
- update RPM group

* Fri Aug 31 2012 kharec <kharec> 20120714.0.0-1.mga3
+ Revision: 286419
- update to 20120714

* Thu Jul 05 2012 jquelin <jquelin> 20120701.0.0-1.mga3
+ Revision: 268036
- update to 20120701

* Fri Jan 21 2011 jquelin <jquelin> 20101217-1.mga1
+ Revision: 28347
- mageia rebuild
- imported package perltidy

